
/**
 * 
 * @author Guillaume Santini
 * @version 1.0
 * Classe permettant de fournir des numéros de devis.
 * Les numéros fournis par l'instance sont uniques et incrémentés
 * à chaque fois qu'un numéro est demandé.
 * 
 */

public class NumeroteurDeDevis {
	private Integer prochainNumero ;
	
	/**
	 * Constructeur par champs.
	 * @param numeroInitial la valeur définissant le premier numéro de devis
	 */
	public NumeroteurDeDevis(Integer numeroInitial) {
		prochainNumero = numeroInitial;
	}
	
	/**
	 * Retourne un numéro de devis unique et incrémente le numéroteur.
	 * @return un numéro unique de devis
	 */
	public Integer numeroDeDevis() {
		return prochainNumero++;
	}
}
